levels = {
   forest1 = {
      objects = function() return {
                      Tile:new{image = 'data/forest1-bg.png'},
                      Player:new{x = 200, y = 380,
                                 minY = 330, maxY = 500,
                                 image = 'data/forest1-player.png'},
                      Tile:new{image = 'data/forest1-fg.png'}
                   } end,
   },
   foresthut = {
      objects = function() return {
                      Tile:new{image = 'data/foresthut-bg.png'},
                      Player:new{x = 745, y = 430,
                                 image = 'data/forest1-player.png'},
                      Tile:new{image = 'data/foresthut-fg.png'}
                   } end,
   },
   shore = {
      objects = function() return {
                      Tile:new{image = 'data/shore-bg.png'},
                      Player:new{x = 145, y = 133,
                                 --minY = 133, maxY = 133,
                                 image = 'data/shore-player.png'},
                      --Tile:new{image = 'data/shore-fg.png'},
                      Transition:new{x = 10, y = 133, target = 'forest1',
                                     targetX = 735, targetY = 370},
                      fairytarget
                   } end
   },
   lake = {
      objects = function() return {
                      Tile:new{image = 'data/lake-bg.png'},
                      Player:new{x = 620, y = 336,
                                 image = 'data/lake-player.png'},
                   }
                end
   },
   -- village = {
   --    objects = function() return {
   --                    Tile:new{image = 'data/village-bg.png'},
   --                    Player:new{x = 121, y = 440,
   --                               image = 'data/village-player.png'},
   --                 }
   --              end
   -- },
   bridge = {
      objects = function() return {
                      Tile:new{image = 'data/bridge-bg.png'},
                      Player:new{x = 600, y = 440,
                                 image = 'data/bridge-player.png'},
                      Tile:new{image = 'data/bridge-fg.png'}
                   }
                end
   },
   gate = {
      objects = function() return {
                      Tile:new{image = 'data/gate-bg.png'},
                      Player:new{x = 90, y = 388,
                                 minY = 388, maxY = 388,
                                 image = 'data/bridge-player.png'},
                      gateup,
                      gatedown
                   }
                end
   },
   castle = {
      objects = function() return {
                      Tile:new{image = 'data/castle-bg.png'},
                      Player:new{x = 120, y = 435,
                                 minY = 435, maxY = 435,
                                 image = 'data/castle-player.png'},
                   }
                end
   },
   sheep = {
      objects = function() return {
                      Tile:new{image = 'data/sheep-bg.png'},
                      Player:new{x = 640, y = 454,
                                 image = 'data/sheep-player.png'},
                   }
                end
   },
   cave = {
      objects = function() return {
                      Tile:new{image = 'data/cave-bg.png'},
                      Player:new{x = 120, y = 450,
                                 minY = 450, maxY = 450,
                                 image = 'data/cave-player.png'},
                   }
                end
   }

}
